% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/accessanalyzer_operations.R
\name{accessanalyzer_list_analyzed_resources}
\alias{accessanalyzer_list_analyzed_resources}
\title{Retrieves a list of resources of the specified type that have been
analyzed by the specified analyzer}
\usage{
accessanalyzer_list_analyzed_resources(
  analyzerArn,
  maxResults = NULL,
  nextToken = NULL,
  resourceType = NULL
)
}
\arguments{
\item{analyzerArn}{[required] The \href{https://docs.aws.amazon.com/IAM/latest/UserGuide/access-analyzer-getting-started.html#permission-resources}{ARN of the analyzer}
to retrieve a list of analyzed resources from.}

\item{maxResults}{The maximum number of results to return in the response.}

\item{nextToken}{A token used for pagination of results returned.}

\item{resourceType}{The type of resource.}
}
\description{
Retrieves a list of resources of the specified type that have been analyzed by the specified analyzer..

See \url{https://paws-r.github.io/docs/accessanalyzer/list_analyzed_resources.html} for full documentation.
}
\keyword{internal}
